package cn.com.poc.ai_dialogues.convert;	

import cn.com.poc.ai_dialogues.model.BizAiDialoguesProblemAssociationModel;
import cn.com.poc.ai_dialogues.entity.BizAiDialoguesProblemAssociationEntity;
import cn.com.poc.ai_dialogues.dto.BizAiDialoguesProblemAssociationDto;


public class BizAiDialoguesProblemAssociationConvert {

    public static BizAiDialoguesProblemAssociationEntity modelToEntity(BizAiDialoguesProblemAssociationModel model){
        BizAiDialoguesProblemAssociationEntity entity = new BizAiDialoguesProblemAssociationEntity();
        entity.setId(model.getId());
        entity.setQuestion(model.getQuestion());
        return entity;
    }

    public static BizAiDialoguesProblemAssociationModel entityToModel(BizAiDialoguesProblemAssociationEntity entity){
        BizAiDialoguesProblemAssociationModel model = new BizAiDialoguesProblemAssociationModel();
        model.setId(entity.getId());
        model.setQuestion(entity.getQuestion());
        return model;
    }
    
    public static BizAiDialoguesProblemAssociationDto entityToDto(BizAiDialoguesProblemAssociationEntity entity){
        BizAiDialoguesProblemAssociationDto dto = new BizAiDialoguesProblemAssociationDto();
        dto.setId(entity.getId());
        dto.setQuestion(entity.getQuestion());
        return dto;
    }

    public static BizAiDialoguesProblemAssociationEntity dtoToEntity(BizAiDialoguesProblemAssociationDto dto){
        BizAiDialoguesProblemAssociationEntity entity = new BizAiDialoguesProblemAssociationEntity();
        entity.setId(dto.getId());
        entity.setQuestion(dto.getQuestion());
        return entity;
    }
}